<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<script type="text/javascript">
<!--
function selectword(sel)
{
	var i;
	for (i=0; i<sel.options.length; i++) {
		if (sel.options[i].selected==true) {
			document.form1.corrected_word.value = sel.options[i].text;
		}
	}
}

||ifinstr||netscape_version||5.||||define||doc||document.||||else||||undef||doc||||endif||

function changeword()
{
	this.opener.||doc||sendform.cmd.value = "change_word";
	this.opener.||doc||sendform.misspelt_word.value = document.form1.word.value;
	this.opener.||doc||sendform.misspelt_line.value = document.form1.line.value;
	this.opener.||doc||sendform.word_number.value = document.form1.nword.value;
	this.opener.||doc||sendform.corrected_word.value = document.form1.corrected_word.value;
	this.opener.||doc||sendform.submit();
	close();
}

function dicword()
{
	this.opener.||doc||sendform.cmd.value = "add_dict";
	this.opener.||doc||sendform.misspelt_word.value = document.form1.corrected_word.value;
	this.opener.||doc||sendform.submit();
	close();
}

||ifdef||netscape_version||
function hotkey(event){
//	alert(event.which);
	switch (event.which) {
||else||
function hotkey(event){
//	alert(event.keyCode);
	switch (event.keyCode) {
||endif||
	   case 27 : // Esc - cancel
			window.close()
			break;
	   default :
			break;
	}
}

function hotkeyoverload(){
	hotkey(event);
}

||ifdef||netscape_version||
	document.captureEvents(Event.KEYPRESS);
	document.onkeypress = hotkey;
||endif||
//-->
</script>
<title>Correct word</title>
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onkeypress="hotkeyoverload();" onload="focus()">
||ifdef||error||
	<center>
	<table border="1">		
		<tr>
			<td><img src="||nwimg||/attention.gif" alt="Attention" /></td>
			<td bgcolor="ffffff">||error||</td>
		</tr>
	</table>
	</center>
||endif||

<form name="form1" method="post" action="||b_action||">
	<input type="hidden" name="attach_id" value="||attach_id||" />
	<input type="hidden" name="isbulletin" value="||isbulletin||" />
	<input type="hidden" name="word" value="||word||" />	
	<input type="hidden" name="line" value="||line||" />
	<input type="hidden" name="nword" value="||nword||" />
	<table>
		<tr><td><table>
			<tr><td><h3>Correcting '<em>||word||</em>'</h3></td></tr>
			<tr><td><input type="text" name="corrected_word" value="||word||" /></td></tr>
			<tr>
				<td align="center">
					<input type="button" value="Change" onclick="changeword();" />

					<input type="button" value="Add" onclick="dicword();" />
				</td>
			</tr>
			<tr>	<td align="center">
					<input type="button" value="Cancel" onclick="window.close();" />
				</td>
			</tr>
		</table></td>
		<td><select name="spell_alt" onchange="selectword(this)" size="8">
					<option>||spell_alt||</option> 
				</select></td>
		</tr>

	</table>
</form>

<hr />
||copyright||
</body>
</html>
